| Home | Libraries | People | FAQ | More

## Struct template MutablePriorityQueue

boost::heap::MutablePriorityQueue

## Synopsis

    // In header: <boost/heap/heap_concepts.hpp>

    template<typename C>
    struct MutablePriorityQueue : public boost::heap::PriorityQueue< C > {
      // types
      typedef C::handle_type     handle_type;
      typedef C::iterator        iterator;
      typedef C::const_iterator  const_iterator;
      typedef C::allocator_type  allocator_type;
      typedef C::value_compare   value_compare;
      typedef C::value_type      value_type;
      typedef C::const_reference const_reference;

      // public member functions
       BOOST_CONCEPT_USAGE(MutablePriorityQueue);
       BOOST_CONCEPT_USAGE(PriorityQueue);

      // public data members
      C c;
    };

## Description

### `MutablePriorityQueue` public member functions

1.      BOOST_CONCEPT_USAGE(MutablePriorityQueue);

2.      BOOST_CONCEPT_USAGE(PriorityQueue);